EventBufferEvent::__construct
EventBufferEvent::disable
EventBufferEvent
PHP Manual

# EventBufferEvent::createPair

(PECL event >= 1.2.6-beta)

EventBufferEvent::createPair — Creates two buffer events connected to each other

### Beschreibung

public array EventBufferEvent::createPair ( EventBase `$base` [, int `$options` = 0 ] )

Returns array of two EventBufferEvent objects connected to each other. All the usual options are supported, except for `EventBufferEvent::OPT_CLOSE_ON_FREE` , which has no effect, and `EventBufferEvent::OPT_DEFER_CALLBACKS` , which is always on.

### Parameter-Liste

`base`

  Associated event base

`options`

  EventBufferEvent::OPT_* constants combined with bitwise OR operator.

### Rückgabewerte

Returns array of two EventBufferEvent objects connected to each other.

EventBufferEvent::__construct
EventBufferEvent::disable
EventBufferEvent
PHP Manual